//---------------------------------------------------------------------------

#ifndef simple_scopeH
#define simple_scopeH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Chartfx3.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
#include <Chart.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TTimer *Timer1;
        TTrackBar *SetA_Vertical;
        TTrackBar *SetB_Vertical;
        TTrackBar *Set_Trigger_Volts;
        TTrackBar *Set_SigGen_Volts;
        TTrackBar *Set_SigGen_Freq;
        TTrackBar *SetHorizontal;
        TButton *SingleAcquire;
        TButton *TriggeredAcquire;
        TButton *QuitButton;
        TLabel *SigGenF;
        TLabel *SigGenV;
        TLabel *TrigV;
        TLabel *Tdiv;
        TLabel *Adiv;
        TLabel *Bdiv;
        TChart *Chart1;
        TFastLineSeries *Series1;
        TFastLineSeries *Series2;
        TShape *Trig_LED;
	TBevel *Bevel1;
	TBevel *Bevel2;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label6;
	TLabel *Label7;
	TLabel *s1;
	TLabel *Label8;
	TLabel *Label9;
	TLabel *Label10;
	TComboBox *Intf_source;
	TEdit *IP_address;
	TComboBox *Cscope_unit_index;
	TComboBox *Cscope_Status;
	TButton *Restart;
	TPanel *Panel1;
	TLabel *Label11;
	TComboBox *Trigger_channel;
	TComboBox *Cmd_Function;
	TButton *Cmd_get;
	TLabel *Cmd_value;
	TLabel *Label13;
	TLabel *Label14;
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall TriggeredAcquireClick(TObject *Sender);
	void __fastcall QuitButtonClick(TObject *Sender);
	void __fastcall SingleAcquireClick(TObject *Sender);
	void __fastcall SetA_VerticalChange(TObject *Sender);
	void __fastcall SetHorizontalChange(TObject *Sender);
	void __fastcall SetB_VerticalChange(TObject *Sender);
	void __fastcall Set_SigGen_FreqChange(TObject *Sender);
	void __fastcall Set_SigGen_VoltsChange(TObject *Sender);
	void __fastcall Set_Trigger_VoltsChange(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
	void __fastcall Intf_sourceChange(TObject *Sender);
	void __fastcall IP_addressChange(TObject *Sender);
	void __fastcall Cscope_unit_indexChange(TObject *Sender);
	void __fastcall RestartClick(TObject *Sender);
	void __fastcall Trigger_channelChange(TObject *Sender);
	void __fastcall Cmd_FunctionChange(TObject *Sender);
	void __fastcall Cmd_getClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
