/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2010. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_GRAPH                     2
#define  PANEL_Quit                      3       /* callback function: QuitButton */
#define  PANEL_SIGGENFREQ                4       /* callback function: SetSigGenFreq */
#define  PANEL_HORIZONTAL                5       /* callback function: SetHorizontal */
#define  PANEL_B_VERTICAL                6       /* callback function: SetB_Vertical */
#define  PANEL_SIGGENVOLTS               7       /* callback function: Set_SigGen_Volts */
#define  PANEL_TRIGGER                   8       /* callback function: Set_Trigger_Volts */
#define  PANEL_A_VERTICAL                9       /* callback function: SetA_Vertical */
#define  PANEL_VIEWDATA                  10      /* callback function: ViewDataPoints */
#define  PANEL_SAVE                      11      /* callback function: SaveToDisk */
#define  PANEL_VB_READOUT                12
#define  PANEL_SIGGENVREADOUT            13
#define  PANEL_Cmd_value                 14
#define  PANEL_SIGGENFREADOUT            15
#define  PANEL_TRIGGERREADOUT            16
#define  PANEL_HREADOUT                  17
#define  PANEL_Dig_pattern               18      /* callback function: SetDigPattern */
#define  PANEL_VA_READOUT                19
#define  PANEL_DECORATION_2              20
#define  PANEL_FreqLabel                 21
#define  PANEL_VOLTSDIVISION             22
#define  PANEL_SECONDSDIVISION           23
#define  PANEL_TIMER                     24      /* callback function: UpdateCallback */
#define  PANEL_DECORATION_3              25
#define  PANEL_SigGenVoltsLabel          26
#define  PANEL_DECORATION_4              27
#define  PANEL_VOLTSDIVISION_2           28
#define  PANEL_DECORATION_5              29
#define  PANEL_TrigVolts                 30
#define  PANEL_DECORATION_6              31
#define  PANEL_TRIGGERED                 32      /* callback function: TriggeredAcquire */
#define  PANEL_Cmd_get                   33      /* callback function: Cmd_getClick */
#define  PANEL_Restart                   34      /* callback function: RestartClick */
#define  PANEL_SINGLE                    35      /* callback function: SingleAcquire */
#define  PANEL_TRIGGER_LED               36
#define  PANEL_text1                     37
#define  PANEL_Str1_3                    38
#define  PANEL_Str1_2                    39
#define  PANEL_Str1                      40
#define  PANEL_TrigChan_2                41
#define  PANEL_TrigChan_3                42
#define  PANEL_TrigChan_4                43
#define  PANEL_TrigChan_5                44
#define  PANEL_TrigChan_6                45
#define  PANEL_TrigChan_7                46
#define  PANEL_Cscope_Status             47
#define  PANEL_DigTrig1                  48
#define  PANEL_TrigChan_8                49
#define  PANEL_CHANNEL                   50      /* callback function: SetChannel */
#define  PANEL_IP_address                51      /* callback function: Get_ip_address */
#define  PANEL_Cmd_Function              52      /* callback function: Cmd_FunctionChange */
#define  PANEL_Intf_source               53      /* callback function: Get_Intf_source */
#define  PANEL_Cscope_unit_index         54      /* callback function: Set_unit_index */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 
/*
int  CVICALLBACK Cmd_FunctionChange(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Cmd_getClick(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Get_Intf_source(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Get_ip_address(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RestartClick(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SaveToDisk(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_SigGen_Volts(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_Trigger_Volts(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_unit_index(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetA_Vertical(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetB_Vertical(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetChannel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetDigPattern(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetHorizontal(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetSigGenFreq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SingleAcquire(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TriggeredAcquire(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ViewDataPoints(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
 */

#ifdef __cplusplus
    }
#endif
